Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:	a2ps - any to postscript filter.
Name:		a2ps
Version:	4.14
Release:	1
License: 	GNU/GPL
URL:		http://www.gnu.org/software/a2ps/
Group:		Text Tools
Source0:	%{name}-%{version}.tar.gz
Source1:	i18n-fonts-0.1.tar.gz
Patch0:		%{name}-4.13b-ghostscript.patch
Patch1:		%{name}-make-fonts-map.patch
Patch2:		%{name}-sort.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq(post,preun): /sbin/install-info
BuildArch:	i686
BuildRequires:	gperf
BuildRequires:	libpaper-devel
BuildRequires:	psutils

Requires:	psutils

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
a2ps is a filter utilitized mainly in the background and primarily by printing scripts to convert almost every
input format into PostScript output. The application's name expands appropriately to "all to PostScript".

%package	devel
Summary:	Development files for a2ps
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header files for developing applications using a2ps

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/ogonkify.info %{_infodir}/dir || :
/sbin/install-info %{_infodir}/regex.info %{_infodir}/dir || :
(cd %{_datadir}/a2ps/afm;
 ./make_fonts_map.sh > /dev/null 2>&1 || /bin/true
 if [ -f fonts.map.new ]; then
   mv fonts.map.new fonts.map
 fi
)
exit 0

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
   /sbin/install-info --delete %{_infodir}/ogonkify.info %{_infodir}/dir || :
   /sbin/install-info --delete %{_infodir}/regex.info %{_infodir}/dir || :
fi
exit 0

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version} -a 1
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%configure \
--sysconfdir=%_sysconfdir/a2ps \
--enable-shared
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#i18n-fonts
cd i18n-fonts-0.1
cp -v fonts/* $RPM_BUILD_ROOT%_datadir/a2ps/fonts
cp -v afm/* $RPM_BUILD_ROOT%_datadir/a2ps/afm

rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
%config (noreplace) %_sysconfdir/a2ps/a2ps-site.cfg
%config (noreplace) %_sysconfdir/a2ps/a2ps.cfg
%_bindir
%_libdir/*.so.*
%_datadir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Jul 24 2008 Christian Wasem <wasem@ccux-linux.de> 4.14-1
- Version update
* Fri Oct 14 2005 Christian Wasem <wasem@ccux-linux.de> 4.13b-4
- tweaked specfile, replaced sed replacements with patches
* Thu Jul 29 2005 Christian Metzen <metzench@ccux-linux.de> 4.13b-3
- Moved more files to devel package, added infofile install
* Mon Jul 25 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 4.13b-2
- rebuilt spec
* Sun Dec 26 2004 Christian Metzen <metzench@ccux-linux.de> 4.13b-1
- Initial Release